Amazon Linux 2022: (ALAS2022-2022-117)

high Nessus Plugin ID 164763

Synopsis

遠端 Amazon Linux 2022 主機缺少一個安全性更新。

描述

因此,它受到 ALAS2022-2022-117 公告中提及的一個弱點影響。

- 在 zsh 5.8.1 更舊版本中,攻擊者可以透過控制提示內的命令輸出執行程式碼,如 %F 引數所示。這是因為遞回 PROMPT_SUBST 擴充所致。
(CVE-2021-45444)

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

執行「dnf update --releasever=2022.0.20220719 zsh」以更新系統。

另請參閱

https://alas.aws.amazon.com/AL2022/ALAS-2022-117.html

https://alas.aws.amazon.com/cve/html/CVE-2021-45444.html

Plugin 詳細資訊

嚴重性: High

ID: 164763

檔案名稱: al2022_ALAS2022-2022-117.nasl

版本: 1.2

類型: local

代理程式: unix

已發布: 2022/9/6

已更新: 2022/9/6

支持的傳感器: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent

風險資訊

VPR

風險因素: High

分數: 7.4

CVSS v2

風險因素: Medium

基本分數: 5.1

時間分數: 3.8

媒介: AV:N/AC:H/Au:N/C:P/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2021-45444

CVSS v3

風險因素: High

基本分數: 7.8

時間分數: 6.8

媒介: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:amazon:linux:zsh, p-cpe:/a:amazon:linux:zsh-debuginfo, p-cpe:/a:amazon:linux:zsh-debugsource, p-cpe:/a:amazon:linux:zsh-html, cpe:/o:amazon:linux:2022

必要的 KB 項目: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2022/7/20

弱點發布日期: 2022/2/12

參考資訊

CVE: CVE-2021-45444